#Dataset S4
#control scenario
setwd("C:\\Users\\mullerd\\Desktop\\Projet anynana\\Th?se\\exp?rience volet 2\\exp2b\\ms finalisation\\ms_learning_soumission1")
setwd("F:/20180711_PCtravail/travail/Postdoc UCL/ms/B anynana/Holveck Muller/data and analyses")
tempt <- read.table("DatasetS4.txt", dec=",",header=TRUE, sep="\t")
summary(tempt)

#temperature
with(tempt, tapply(ExpTemp, Cohort, min))#19.00 14.03 13.58
with(tempt, tapply(ExpTemp, Cohort, max))#25.98 26.96 27.68
with(tempt, tapply(ExpTemp, JulianDay, mean))#24.62123 24.57847 23.00807 

length(tempt$Date)
library(reshape)

D<-1:2471

T<-cbind(tempt,D)
Ta<-data.frame(T$ExpTemp,T$TheorTemp,D)
summary(Ta)
Tb<-melt(Ta, id=c("D"))
summary(Tb)
library(ggplot2)
p<-ggplot(Tb, aes(x = D, y = value, group=variable, col=variable)) + geom_line()
p1<-p+theme(axis.text=element_text(size=13),axis.title=element_text(size=13,face="bold"),legend.position="none",
            panel.grid.major = element_blank(),panel.grid.minor = element_blank(),panel.background=element_rect(fill="white",colour="black"))+
  xlab("") + ylab("Temperature (?C)")+
  scale_x_continuous(breaks = seq(1,2700, by = 100))+
  scale_y_continuous(limits=c(14,34),breaks = seq(14,34, by = 2))+
  scale_color_manual(values=c("palegreen3", "indianred2"))+
  expand_limits(x=c(0,2501))
p1


#humidity
Ha<-data.frame(T$ExpRH,T$TheorRH,D)
summary(Ha)
Hb<-melt(Ha, id=c("D"))

library(ggplot2)
p<-ggplot(Hb, aes(x = D, y = value, group=variable, col=variable)) + geom_line()
p2<-p+theme(axis.text=element_text(size=13),axis.title=element_text(size=13,face="bold"),legend.position="none",
            panel.grid.major = element_blank(),panel.grid.minor = element_blank(),panel.background=element_rect(fill="white",colour="black"))+
  xlab("") + ylab("Relative humidity (%)")+
  scale_x_continuous(breaks = seq(1,2700, by = 100))+
  scale_y_continuous(limits=c(20,100),breaks = seq(10,100, by = 5))+
  scale_color_manual(values=c("palegreen3", "indianred2"))+
  expand_limits(x=c(0,2501))
p2

rm(list=ls())


#Dataset S5
#scenario +3
setwd("C:\\Users\\mullerd\\Desktop\\Projet anynana\\Th?se\\exp?rience volet 2\\exp2b\\ms finalisation\\ms_learning_soumission1")
setwd("F:/20180711_PCtravail/travail/Postdoc UCL/ms/B anynana/Holveck Muller/data and analyses")
tempt <- read.table("DatasetS5.txt", dec=",",header=TRUE, sep="\t")


summary(tempt)

#temperature
with(tempt, tapply(ExpTemp, Cohort, min))#18.44 15.94 18.28 
with(tempt, tapply(ExpTemp, Cohort, max))#28.82 29.84 28.35 
with(tempt, tapply(ExpTemp, JulianDay, mean))#24.62123 24.57847 23.00807 

length(tempt$Date)
library(reshape)

D<-1:2181

T<-cbind(tempt,D)
Ta<-data.frame(T$ExpTemp,T$TheorTemp,D)
summary(Ta)
Tb<-melt(Ta, id=c("D"))

library(ggplot2)
p<-ggplot(Tb, aes(x = D, y = value, group=variable, col=variable)) + geom_line()
p3<-p+theme(axis.text=element_text(size=13),axis.title=element_text(size=13,face="bold"),legend.position="none",
            panel.grid.major = element_blank(),panel.grid.minor = element_blank(),panel.background=element_rect(fill="white",colour="black"))+
  xlab("") + ylab("Temperature (?C)")+
  scale_x_continuous(breaks = seq(1,2700, by = 100))+
  scale_y_continuous(limits=c(14,34),breaks = seq(10,35, by = 2))+
  scale_color_manual(values=c("palegreen3", "indianred2"))+
  expand_limits(x=c(0,2501))
p3

#humidity
Ha<-data.frame(T$ExpRH,T$TheorRH,D)
summary(Ha)
Hb<-melt(Ha, id=c("D"))

library(ggplot2)
p<-ggplot(Hb, aes(x = D, y = value, group=variable, col=variable)) + geom_line()
p4<-p+theme(axis.text=element_text(size=13),axis.title=element_text(size=13,face="bold"),legend.position="none",
            panel.grid.major = element_blank(),panel.grid.minor = element_blank(),panel.background=element_rect(fill="white",colour="black"))+
  xlab("") + ylab("Relative humidity (%)")+
  scale_x_continuous(breaks = seq(1,2700, by = 100))+
  scale_y_continuous(limits=c(20,100),breaks = seq(10,100, by = 5))+
  scale_color_manual(values=c("palegreen3", "indianred2"))+
  expand_limits(x=c(0,2501))
p4


rm(list=ls())


#Dataset S6
#scenario +6
setwd("C:\\Users\\mullerd\\Desktop\\Projet anynana\\Th?se\\exp?rience volet 2\\exp2b\\ms finalisation\\ms_learning_soumission1")
setwd("F:/20180711_PCtravail/travail/Postdoc UCL/ms/B anynana/Holveck Muller/data and analyses")
tempt <- read.table("DatasetS6.txt", dec=",",header=TRUE, sep="\t")

summary(tempt)

#temperature
with(tempt, tapply(ExpTemp, Cohort, min))#24.65925 23.46025 21.07350 
with(tempt, tapply(ExpTemp, Cohort, max))#34.07025 30.96350 30.70400 
with(tempt, tapply(ExpTemp, Cohort, mean))#34.07025 30.96350 30.70400 
with(tempt, tapply(ExpTemp, JulianDay, mean))#24.62123 24.57847 23.00807 


length(tempt$Date)
library(reshape)

D<-1:2073

T<-cbind(tempt,D)
summary(T)
Ta<-data.frame(T$ExpTemp,T$TheorTemp,D)
summary(Ta)
Tb<-melt(Ta, id=c("D"))
summary(Tb)
library(ggplot2)

p<-ggplot(Tb, aes(x = D, y = value, group=variable, col=variable)) + geom_line()
p5<-p+theme(axis.text=element_text(size=13),axis.title=element_text(size=13,face="bold"),legend.position="none",
            panel.grid.major = element_blank(),panel.grid.minor = element_blank(),panel.background=element_rect(fill="white",colour="black"))+
  xlab("") + ylab("Temperature (?C)")+
  scale_x_continuous(breaks = seq(1,2700, by = 100))+
  scale_y_continuous(limits=c(14,34),breaks = seq(10,35, by = 2))+
  scale_color_manual(values=c("palegreen3", "indianred2"))+
  expand_limits(x=c(0,2501))
p5


#humidity
Ha<-data.frame(T$ExpRH,T$TheorRH,D)
summary(Ha)
Hb<-melt(Ha, id=c("D"))

library(ggplot2)
p<-ggplot(Hb, aes(x = D, y = value, group=variable, col=variable)) + geom_line()
p6<-p+theme(axis.text=element_text(size=13),axis.title=element_text(size=13,face="bold"),legend.position="none",
            panel.grid.major = element_blank(),panel.grid.minor = element_blank(),panel.background=element_rect(fill="white",colour="black"))+
  xlab("") + ylab("Relative humidity (%)")+
  scale_x_continuous(breaks = seq(1,2700, by = 100))+
  scale_y_continuous(limits=c(20,100), breaks = seq(10,100, by = 5))+
  scale_color_manual(values=c("palegreen3", "indianred2"))+
  expand_limits(x=c(0,2501))
p6
library(cowplot)
par(mfrow=c(1,6))
plot_grid(p2,p4,p6, labels = c("d","e","f"), ncol=1)
plot_grid(p1,p3,p5, labels = c("auto"), ncol=1)
plot_grid(p1,p3,p5,p2,p4,p6, labels = c("auto"), ncol=1)
dev.new()

rm(list=ls())
